@charset "UTF-8";

/* 全局 */
html, body {
    height: 100%;
}

.gray-bg {
    /*background-color: #f0f3f4;*/
    /*background-image: url(https://ypkjtest.oss-cn-hangzhou.aliyuncs.com/login-back.jpg);*/
    background-size: 100% 100%;
}

body {
    font-family: "Microsoft YaHei", "Source Sans Pro", "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 13px;
    color: #676a6c;
    overflow-x: hidden;
}

.nopadding {
    padding: 0;
}

.logo-pic {
    position: absolute;
    width: 200px;
    top: 25px;
    left: 25px;
    opacity: 0.5;
    /*left: 50%;
    transform: translateX(-50%);*/
}

.logo-title {
    position: absolute;
    top: calc(30% - 50px);
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0.5;
}

.middle-box {
    width: 380px;
    height: 380px;
    position: absolute;
    top: 60%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 0 40px;
    border-radius: 12px;
    overflow: hidden;
    background-color: rgba(0, 0, 0, 0.3);
    /*background-color: #000;
    opacity: 0.3;*/
}

.login-block {
    position: relative;
}

.qrcode-target {
    position: absolute;
    width: 60px; /*95px;*/
    height: 60px; /*95px;*/
    display: block;
    top: 0;
    right: 0;
    _right: 1px;
    background-image: url(/statics/images/qrcode_user.png);
    border-top-right-radius: 10px;
    z-index: 100;
    opacity: 0.7;
}

.qrcode-target-show {
    /*background-position: -0px -5px;*/
    background-position: -201px -199px;
}

.qrcode-target-hide {
    /*background-position: -100px -100px;*/
    background-position: -260px -260px;
}

.login-title {
    line-height: 35px;
    padding-top: 42px;
    padding-bottom: 30px;
    font-size: 20px;
    color: #409EFF;
    font-weight: bold;
}

.pt-10 {
    padding-top: 10px;
}

#btnSumit {
    background-color: #409EFF !important;
    color: #fff !important;
    width: 100%;
    border-radius: 5px;
}

.login-tip {
    text-align: left;
    color: #fff;
    padding-bottom: 10px;
    /** height: 65px;*/
    line-height: 30px;
}

#code-pic {
    padding: 10px;
    display: inline-block;
    background-color: #fff;
}

.qrcode-login {
    display: none;
}

.text-center {
    text-align: center;
}

.foot-tip {
    width: 100%;
    text-align: center;
    position: absolute;
    bottom: 20px;
    color: #fff;
}

.other-login:before,
.other-login:after {
    background-image: url(/statics/images/line.png);
    content: '';
    display: table-cell;
    position: relative;
    top: 50%;
    width: 35%;
    background-repeat: no-repeat;
}

.text-muted {
    color: #fff;
}

.other-login:before {
    background-position: right 1em top 50%;
}

.other-login:after {
    background-position: left 1em top 50%;
}

.other-login {
    display: table;
}

.icon-logo-dingding:before {
    content: "\e6ef"
}

.icon-logo-dingding {
    color: #3795f9
}

.icon-logo_wechat:before {
    content: "\e6aa"
}

.icon-logo_wechat {
    color: #46d800
}

.logo-login {
    padding-bottom: 25px;
}

.logo-login div {
    width: 50%;
    float: left;
}

.scan-img {
    width: 80px;
    height: 80px;
    position: absolute;
    top: 0;
    right: 0;
    cursor: pointer;
}

.scan-logo {
    width: 40px;
    margin: 10px 5px 20px 5px;
}


.scan-success-img {
    width: 40px;
    height: 40px;
    position: absolute;
    top: 35%;
    left: 45%;
    z-index: 1000;
}

.scan-fail-text {
    position: absolute;
    top: 55%;
    left: 40%;
    z-index: 1000;
    color: #FFFFFF;
    font-weight: bolder;
    font-size: 15px;
}


.background-block {
    position: absolute;
    top: 29.5%;
    right: 0;
    bottom: 0;
    left: 29%;
    z-index: -1;
    height: 155px;
    width: 155px;
    background-color: #FFFFFF;
}

.qrshow {
    width: 150px;
    height: 150px;
    position: relative;
    top: 7px;
    left: 72px;
}

.scan-shadow:before {
    position: absolute;
    bottom: 0;
    display: block;
    content: "";
    background-color: #000;
    opacity: .6;
    height: 155px;
    width: 155px;
    top: 79px;
    left: -2px;
}

.get-code-btn {
    /*width: 120px;*/
    /*height: 38px;*/
}

.el-input-group__prepend {
    padding: 0;
    width: 50px;
}

.fa {
    line-height: 38px;
    font-size: 24px;
    font-style: normal;
}

.btn-div .el-button {
    width: 100%;
}

.el-input.is-active .el-input__inner, .el-input__inner:focus {
    border-color: #DCDFE6;
}

.el-input-group__append, .el-input-group__prepend {
    background-color: #e4e7ed;
}

.el-radio-group {
    width: 100%;
    margin-bottom: 20px;
}

.el-radio {
    color: #fff;
}

.el-input-group__append {
    background-color: #409EFF;
    border: none;
}

.el-input-group__append button.el-button {
    background-color: #409EFF;
    color: #fff;
}

[v-cloak] {
    display: none;
}
